-- name: CreateProductCategory :one
INSERT INTO product_categories (
  merchant_id,
  name
) VALUES (
  $1, $2
)
RETURNING *;

-- name: ListProductCategoriesByMerchantID :many
SELECT * FROM product_categories
WHERE merchant_id = $1 
ORDER BY index_id
LIMIT $2
OFFSET $3;

-- name: UpdateProductCategory :one
UPDATE product_categories   
SET name = $1
WHERE id = $2
RETURNING *;

-- name: DeleteProductCategory :exec
DELETE FROM product_categories WHERE id = $1;